from math import log

from gargantext.models import Nodes

def tficf(term, node, context):
    # TF: dans NodeNgram; où est le calcul? extraction des ngrams?
    # ICF: dans NodeNodeNgram

    all_nodes = Nodes.within(context)

    tf = node.frequency(term)
    icf = all_nodes.count() / all_nodes.matching(term).count()

    return tf / log(icf)
